# Record TCefBoxLayoutSettings

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBoxLayoutSettings = record`

## Description

Initialization settings. Specify NULL or 0 to get the recommended default values. Many of these and other settings can also configured using command- line switches.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_box_layout_settings_t))

## Overview

### Fields

| `size: NativeUInt;`
| `horizontal: Integer;`
| `inside_border_horizontal_spacing: Integer;`
| `inside_border_vertical_spacing: Integer;`
| `inside_border_insets: TCefInsets;`
| `between_child_spacing: Integer;`
| `main_axis_alignment: TCefAxisAlignment;`
| `cross_axis_alignment: TCefAxisAlignment;`
| `minimum_cross_axis_size: Integer;`
| `default_flex: Integer;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `horizontal: Integer;`
If true (1) the layout will be horizontal, otherwise the layout will be vertical.

| `inside_border_horizontal_spacing: Integer;`
Adds additional horizontal space between the child view area and the host view border.

| `inside_border_vertical_spacing: Integer;`
Adds additional vertical space between the child view area and the host view border.

| `inside_border_insets: TCefInsets;`
Adds additional space around the child view area.

| `between_child_spacing: Integer;`
Adds additional space between child views.

| `main_axis_alignment: TCefAxisAlignment;`
Specifies where along the main axis the child views should be laid out.

| `cross_axis_alignment: TCefAxisAlignment;`
Specifies where along the cross axis the child views should be laid out.

| `minimum_cross_axis_size: Integer;`
Minimum cross axis size.

| `default_flex: Integer;`
Default flex for views when none is specified via CefBoxLayout methods. Using the preferred size as the basis, free space along the main axis is distributed to views in the ratio of their flex weights. Similarly, if the views will overflow the parent, space is subtracted in these ratios. A flex of 0 means this view is not resized. Flex values must not be negative.

Generated by PasDoc 0.16.0-snapshot.